Name:       nodejs-tar
Version:    0.1.13
Release:    1%{?dist}
Summary:    tar for node
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/isaacs/tar
Source0:    http://registry.npmjs.org/tar/-/tar-%{version}.tgz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

BuildRequires:  nodejs-devel

%if !(0%{?fedora} >= 17)
Requires:       nodejs
Requires:       nodejs-inherits nodejs-block-stream nodejs-fstream
%endif

%description
%{summary}.

%prep
%setup -q -n package

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{nodejs_libdir}/tar
cp -pr lib tar.js package.json %{buildroot}%{nodejs_libdir}/tar

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{nodejs_libdir}/tar
%doc README.md examples

%changelog
* Thu Mar 15 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.1.13-1
- new upstream release 0.1.13

* Sat Jan 21 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.1.12-1
- initial package
